SystemAccountingMessageChecker (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer.accounting

## Class SystemAccountingMessageChecker

- java.lang.Object
- - org.gcube.messaging.common.consumer.MessageChecker<org.gcube.messaging.common.messages.SystemAccountingMessage>
  - - org.gcube.messaging.common.consumer.accounting.SystemAccountingMessageChecker

-     public class SystemAccountingMessageChecker
      extends MessageChecker<org.gcube.messaging.common.messages.SystemAccountingMessage>

  Author:
    AndreaManzi(CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.gcube.common.core.utils.logging.GCUBELog` | `logger` logger

    - ### Fields inherited from class org.gcube.messaging.common.consumer.MessageChecker

      `scope`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemAccountingMessageChecker(org.gcube.common.core.scope.GCUBEScope scope)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check(org.gcube.messaging.common.messages.SystemAccountingMessage msg)` check and store the message

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.gcube.common.core.utils.logging.GCUBELog logger

      logger

  - ### Constructor Detail

    - #### SystemAccountingMessageChecker

          public SystemAccountingMessageChecker(org.gcube.common.core.scope.GCUBEScope scope)

  - ### Method Detail

    - #### check

          public void check(org.gcube.messaging.common.messages.SystemAccountingMessage msg)

      check and store the message
      Specified by:
        `check` in class `MessageChecker<org.gcube.messaging.common.messages.SystemAccountingMessage>`
      Parameters:
        `message` - the message
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.